;REM INI-DATEI f�r kreuZer Module kreuZer.exe

;REM Sie k�nnen diese Datei Ihren w�nschen entsprechend anpassen
;REM �nderungen f�hren unter Umst�nden zu einem nicht funktionierendem Programm
;REM machen Sie deshalb eine Sicherheitskopie
;REM Sie k�nnen die Urspr�ngliche Datei von den Installationsdisketten mit dem
;REM Befehl 'expand kreuZer.ini c:\windows\kreuzer.ini' wieder herstellen

[FILES]
0=
1=
2=
3=
4=
5=
6=
7=
8=
9=

[Printer]
;REM Druckerbezeichnungen werden vom Programm automatisch gesetzt
;REM Falsche Druckerbezeichnungen k�nnen zum Programmabsturz f�hren !
Paper.Boarder.left=200
Paper.Boarder.top=200
Paper.Boarder.right=200
Paper.Boarder.bottom=200
Print.Boarder=0
RechtsObenKorrektur=1
Device.Name=
Driver.Name=
Output.Name=



[Application Init]
;REM Diese Werte bestimmen die Koordinaten des Hauptfensters beim Programmstart
;REM Sie werden automatisch bei Programmende gesetzt
MainWindow.Attr.X=0
MainWindow.Attr.Y=0
MainWindow.Attr.W=640
MainWindow.Attr.H=480

;REM geben Sie eine '0' an wenn Sie keine 'grauen Dialoge' sehen wollen
Dialog.3D=1

[BildAnzeige]
;REM Bei Doppelklick in das Dokumentenfenster wechselt der Bearbeitungsmodus
;REM entsprechend der hier angegebenen Reihenfoge
; 0 <-> kein nachfolger
; 1 <-> Neu
; 2 <-> Edit    (normalerweise kein nachfolger)
; 3 <-> Auswahl
; 4 <-> Transformierer
Focus.Neu.Next=3
Focus.Edit.Next=3
Focus.Auswahl.Next=2
Focus.Transformierer.Next=2



[Objektname]
;REM Dies sind die Namen der 'Objekte' die sie erzeugen k�nnen
;REM diese namen erscheinen im 'Neu-Modus' wenn Sie die recht Maustaste dr�cken
SHDrawLine=Linie
SHDrawRect=Rechteck
SHDrawGrid=Gitter
;SHDrawMesh=Gitter
SHDrawCross=Kreuzwortr�tsel
SHDrawSolution=Kreuzwortr�tsell�sung
SHDrawSolutionWord=Kreuzwortr�tsell�sungswort
SHDrawWMF=Windows Meta
SHDrawDib=Windows Bitmap


[Basisobjekt]
;REM dieser Wert gibt die Anzahl der Undo-Operationen an
;REM wenn Sie gen�gend Hauptspeicher haben k�nnen Sie diesen Wert deutlich erh�hen
;REM !!! Objekte werden nur beim Wechsel in den Editier- und Transformier-Modus gespeichert
;REM !!! Sie k�nnen Objekt-Zust�nde einfach zwischenspeichern, indem Sie in den
;REM !!! Editier- oder Transformier-Modus schalten (Button bet�tigen)
;REM im Moment werden pro 'Undo' zwei 'Objekte' gespeichert
;REM ein A4 R�tsel ben�tigt ca. 40kByte (-> Undo.max=10 -> 20 Objekte -> ca 1MB)
Undo.max=3


[Kreuzwortr�tsel]
;REM dieser Wert entspricht der 'standard' Gr��e einer Zelle im Kreuzwortr�tsel
;REM wenn Sie ein neues R�tsel erzeugen  (auch der einer L�sungswortzelle)
;REM diese Werte werden von dem R�tsel-Abmessungen-Dialog ver�ndert
Zellen.Gr��e.X=100
Zellen.Gr��e.Y=100

;REM dieser Wert entspricht der 'standard' Gr��e einer L�sungs-Zelle im Kreuzwortr�tsel
L�sungsZellen.Gr��e.X=40
L�sungsZellen.Gr��e.Y=40

;REM geben Sie '1' an wenn das Hauptfenster beim F�llen automatisch verkleinert werden soll
;REM geben Sie '0' an wenn das Hauptfenster sichtbar bleiben soll
Algo.MainWindow.Hide=0

;REM standard Name der Algoformate die in die Algoformat-Liste geladen werden
Algo.FormatListe.Standard=default.afl

;REM standard Verzeichnis der Datenbanken
;REM --- nur hier wir nach Datenbanken gesucht ---
Datenbank.Pfad=

;REM geben Sie '0' ein wenn Sie am Bildschirm den Aufbau
;REM des Kreuzwortr�tsels nicht beobachten wollen
;REM sonst '1'
Zellen.Trace=1


;REM gibt an nach welcher Methode 'St�rer' gel�scht werden
;REM 1 <=> Anzahl der Buchstaben minus Anzahl der '?'
;REM 2 <=> Anzahl der '?'
;REM 3 <=> Anzahl der Buchstaben
;REM 4 <=> L�nge

L�schen.Type=4

;REM NurWorteSuchen=0  => die Beschreibungen werden immer sofort gesucht (nur sinnvoll wenn man dem Algo zuschauen will)
;REM NurWorteSuchen=1  => die Beschreibungen werden alle auf einmal am Ende des Algo gesucht

NurWorteSuchen=1

;REM SchnellesMinWort=0  => ein gel�schtes Wort wird nur durch ein Wort gleicher L�nge ersetzt (bis zum Stack�berlauf)
;REM SchnellesMinWort > 0=> ein gel�schtes Wort eventuell durch k�rzere W�rter ersetzt, 
;REM wobei der angegebene Wert die minimale L�nge angibt
;REM geben Sie '1' an wenn nur die im Algo angegebene 'min. Wortl�nge' gelten soll.
;REM z.B.:  'SchnellesMinWort=4' -> 'AUTORADIO' kann zu 'EGON' und 'ELFI' werden (eine Zelle geht wegen der neuen Beschreibung verloren)
SchnellesMinWort=4


;REM dieser Wert hat bestimmt die Gr��e der internen Hashtabelle, in der die
;REM nicht mehr zu benutzenden Worte verwaltet werden
;REM unter 16Bit Windows sollten sie nicht �ber 2000 gehen
;REM m�gliche Werte sollten Prim-Zahlen sein
;REM z.B.: 113, 223, 461, 911, 1861, 3697, 7177, 16411
UsedStringHashSize=3697

;REM KoordWordRegister=1  => W�rter werden mit Koordinaten registriert -> langsamer aber Datenbank wird besser ausgenutzt
;REM KoordWordRegister=0  => W�rter werden ohne Koordinaten registriert -> schneller aber Datenbank wird nicht so gut ausgenutzt
KoordWordRegister=0

;REM MaxFreeWayCount gibt an wie oft ein Wort aus dem R�tsel gel�scht wird bevor die Anforderung an die L�nge,
;REM f�r das neu einzusetzende Wort, herabgesetzt werden.
;REM gr��ere Werte ben�tigen viel Hauptspeicher - ergeben aber oft bessere Ergebnisse.
MaxFreeWayCount=1000


;REM dieser Wert gibt die F�llrichtung im Gitteralgorithmus an
;REM 0 dauert sehr lange, ergibt aber manchmal bessere Ergebnisse 
;REM 0=x , y
;REM 1=x
;REM 2=y
Gitter.Richtung=0


;REM diese Werte werden von dem R�tsel-Abmessungen-Dialog ver�ndert
Algo.FormatListe.Standard=default.afl
[CWMeshSizeDlg]
CellCount.x=12
CellCount.y=12

[INIT]
Editor=notepad.exe

